UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

28 lines 986 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.lockCharacterEndpoint = void 0; const commonTypes_1 = require("../../commonTypes"); exports.lockCharacterEndpoint = { name: 'Lock Character', description: 'Lock in an agent \n' + '**DO NOT USE THIS FOR INSTALOCKING** \n' + 'Riot doesn\'t like this. You may get banned or get the API restricted for the rest of us. ', queryName: 'Pregame_LockCharacter', category: 'Pre-Game Endpoints', type: 'glz', method: 'POST', suffix: 'pregame/v1/matches/{pre-game match id}/lock/{agent id}', variables: new Map([ ['{agent id}', commonTypes_1.weakUUIDSchema.describe('The agent ID to lock in')] ]), riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': commonTypes_1.pregameMatchSchema } }; //# sourceMappingURL=LockCharacter.js.map